import { marker as _ } from '@biesbjerg/ngx-translate-extract-marker';
import { EarmarkOperation, EarmarkOperationPages } from '@red/domain';

export const highlightsTranslations = {
    [EarmarkOperation.CONVERT]: {
        title: _('highlight-action-dialog.convert.title'),
        details: _('highlight-action-dialog.convert.details'),
        save: _('highlight-action-dialog.convert.save'),
        confirmation: _('highlight-action-dialog.convert.confirmation'),
        options: {
            [EarmarkOperationPages.ALL_PAGES]: {
                description: _('highlight-action-dialog.convert.options.all-pages.description'),
                label: _('highlight-action-dialog.convert.options.all-pages.label'),
            },
            [EarmarkOperationPages.THIS_PAGE]: {
                description: _('highlight-action-dialog.convert.options.this-page.description'),
                label: _('highlight-action-dialog.convert.options.this-page.label'),
            },
        },
    },
    [EarmarkOperation.REMOVE]: {
        title: _('highlight-action-dialog.remove.title'),
        details: _('highlight-action-dialog.remove.details'),
        save: _('highlight-action-dialog.remove.save'),
        confirmation: _('highlight-action-dialog.remove.confirmation'),
        options: {
            [EarmarkOperationPages.ALL_PAGES]: {
                description: _('highlight-action-dialog.remove.options.all-pages.description'),
                label: _('highlight-action-dialog.remove.options.all-pages.label'),
            },
            [EarmarkOperationPages.THIS_PAGE]: {
                description: _('highlight-action-dialog.remove.options.this-page.description'),
                label: _('highlight-action-dialog.remove.options.this-page.label'),
            },
        },
    },
} as const;
